> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Document Translation

> Create a new translation for a document.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/documents/{document_id}/translations
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/documents/{document_id}/translations:
    post:
      tags:
        - Documents
      summary: Create Document Translation
      description: Create a new translation for a document.
      operationId: core_api_v1_controllers_documents_create_document_translation
      parameters:
        - in: path
          name: document_id
          schema:
            title: Document Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TranslationCreateIn'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranslationOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    TranslationCreateIn:
      description: Schema for creating a translation.
      properties:
        language:
          title: Language
          type: string
        title:
          title: Title
          type: string
        content:
          title: Content
          type: string
        related_questions:
          anyOf:
            - type: string
            - type: 'null'
          title: Related Questions
      required:
        - language
        - title
        - content
      title: TranslationCreateIn
      type: object
    TranslationOut:
      description: Schema for a document translation.
      properties:
        object:
          default: translation
          title: Object
          type: string
        id:
          title: Id
          type: string
        language:
          title: Language
          type: string
        title:
          title: Title
          type: string
        content:
          title: Content
          type: string
        related_questions:
          anyOf:
            - type: string
            - type: 'null'
          title: Related Questions
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - language
        - title
        - content
      title: TranslationOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````